
/*  Various programs concerning the El-Fish .fsh file format.
    Copyright (C) 2004 Vidar Holen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


package holen.vidar.elfish;

import java.awt.*;

class FishFrame { 
    int rawframe, dir, seq, no;
    int unknown;
    int w,h;
    int x,y;
    Image img;

    public FishFrame(int width, int height, int num, 
            int unknown, int x, int y, Image m) {
        w=width; 
        h=height; 
        rawframe=num;
        dir=(num/1000);
        seq=(num/100)%10;
        no=num%100;
        this.x=x; 
        this.y=y; 
        this.unknown=unknown; 
        img=m;
    }

    public String toString() {
        return "["+(seq<10?"0":"")+seq+":"+no+"\t "+
            w+","+h+"\t "+x+","+y+" "+unknown+"]";
    }
}

